Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.odftoolkit.odfdom.dom.type.table
Enum OdfVisibilityType

    java.lang.Object
      java.lang.Enum<OdfVisibilityType>
          org.odftoolkit.odfdom.dom.type.table.OdfVisibilityType

All Implemented Interfaces:
  Serializable, Comparable<OdfVisibilityType>

    public enum OdfVisibilityType

extends Enum<OdfVisibilityType>

DOM implementation of OpenDocument attribute table:visibility.

Enum Constant Summary
`COLLAPSE`
`FILTER`
`VISIBLE`

Method Summary
`static OdfVisibilityType` | `enumValueOf(String stringValue)` String to enum, turns a String into its corresponding enum constant
`String` | `toString()` gets the name of this enum.
`static String` | `toString(OdfVisibilityType enumeration)` enum to String, gets the name of this enum constant as a string.
`static OdfVisibilityType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static OdfVisibilityType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### COLLAPSE

    public static final OdfVisibilityType COLLAPSE

### FILTER

    public static final OdfVisibilityType FILTER

### VISIBLE

    public static final OdfVisibilityType VISIBLE

Method Detail

### values

    public static OdfVisibilityType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (OdfVisibilityType c : OdfVisibilityType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static OdfVisibilityType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### toString

    public String toString()

  gets the name of this enum.

  Overrides:
    `toString` in class `Enum<OdfVisibilityType>`
  Returns:
    return the name of OdfVisibilityType

### toString

    public static String toString(OdfVisibilityType enumeration)

  enum to String, gets the name of this enum constant as a string.

  Parameters:
    `enumeration` - the constant of OdfVisibilityType, see table:visibility
  Returns:
    return the name of OdfVisibilityType

### enumValueOf

    public static OdfVisibilityType enumValueOf(String stringValue)

  String to enum, turns a String into its corresponding enum constant

  Parameters:
    `stringValue` - the name of OdfVisibilityType
  Returns:
    return the constant of OdfVisibilityType, see table:visibility

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2009. All Rights Reserved.